View Issue Details

IDProjectCategoryView StatusLast Update
0026664mantisbtinstallationpublic2020-03-15 15:23
Reporterdregad Assigned Todregad  
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Target Version2.24.0Fixed in Version2.24.0 
Summary0026664: Allow admin to reset table pre/suffix to their default values
Description

Currently, the installer allows the admin to change the database table prefix, suffix and plugin-prefix. When changing the database type, these values are automatically updated to a specific default, but not if the field's value has been modified.

We should allow the admin to reset the values to the specific default corresponding to the currently selected DB type.

TagsNo tags attached.

Relationships

related to 0026596 closeddregad Wrong defaults for db (plugin) table prefix/suffix 

Activities

Related Changesets

MantisBT: master 60ed4bb0

2020-01-08 13:14:27

dregad

Details Diff
Add Reset buttons to pre/suffix fields

Allows admins to reset their input to database-specific default values.

Fixes 0026664
Affected Issues
0026664
mod - admin/install.php Diff File
mod - js/install.js Diff File

Issue History

Date Modified Username Field Change
2020-02-02 14:23 dregad New Issue
2020-02-02 14:23 dregad Status new => assigned
2020-02-02 14:23 dregad Assigned To => dregad
2020-02-02 14:30 dregad Relationship added related to 0026596
2020-02-02 14:31 dregad Note Added: 0063553
2020-02-17 05:06 dregad Changeset attached => MantisBT master 60ed4bb0
2020-02-17 05:06 dregad Status assigned => resolved
2020-02-17 05:06 dregad Resolution open => fixed
2020-02-17 05:06 dregad Fixed in Version => 2.24.0
2020-03-15 15:23 vboctor Status resolved => closed